.dexes-page-block,
.home-container {
  background-color: transparent;
  word-break: break-word;

  h2.home-container-title {
    font-size: 21px;
    word-break: break-word;
    margin: 1rem 0;
  }

  .masonry-container,
  .teaser-box-container,
  .tip-box-container,
  .news-box-container,
  .quicklink-box-container,
  .editorial-box-container {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    margin-top: -1rem;
    &:after {
      content: "";
      width: 31%;
      flex: 0 0 31%;
    }
    h3 {
      margin: 0;
      font-family: "Merriweather Sans Bold";
      font-size: 18px;
      word-break: break-word;
    }

  }

  .tip-box-container {
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    border-radius: 8px;
    margin-top: 1rem;
    margin-bottom: 1rem;
    -webkit-transition: background-color 0.25s ease-in-out, color 0.25s ease-in-out, opacity 1s ease-in-out;
    transition: background-color 0.25s ease-in-out, color 0.25s ease-in-out, opacity 1s ease-in-out;
    &.hider {
      opacity: 0;
    }
    &:after {
      content: "";
      width: 33.3%;
      flex: 0 0 33.3%;
    }
    .tip-box-alignment {
      align-self: flex-start;
      flex-grow: 0;
      width: 33.3%;
      margin: 1rem 0;
      padding: 0;
      > div {
        color: $text;
        padding: 0 1rem;
        img {
          width: 100%;
          border-radius: 8px;
          margin: 3px 0;
        }
        h3 {
          font-size: 18px;
        }
      }
      &:nth-child(1n+2) {
        > div {
          border-left: 1px solid $line;
        }
      }
      @media only screen and (max-width: 991px) {
        width: 50%;
        &:nth-child(3n) {
          width: 100%;
          > div {
            border-left: 0;
          }
        }
      }
      @media only screen and (max-width: 640px) {
        width: 100%;
      }
    }
  }

  .masonry-container,
  .news-box-container {
    display: block;
    column-count: 3;
    column-gap: 2%;
    margin: 0;
    @media only screen and (max-width: 991px) {
      column-count: 2;
      column-gap: 3%;
    }
    @media only screen and (max-width: 640px) {
      column-count: 1;
      column-gap: 0;
    }

    .masonry-item,
    .teaser-box-alignment {
      width: 100%;
      margin: 0;
      -webkit-column-break-inside: avoid;
      page-break-inside: avoid;
      break-inside: avoid;
      &:after {
        content: "";
        display: inline-block;
        height: 1rem;
      }
      .teaser-box {
        margin: 0;
        width: 100%;
      }
    }
  }

  .quicklink-box-container {
    .quicklink-box {
      &.hider {
        opacity: 0;
      }
      align-self: flex-start;
      flex-grow: 0;
      width: 23.1%;
      margin: 1rem 0;
      padding: 1rem;
      border-radius: 8px;
      background-color: $quicklink-color;
      font-family: "Merriweather Sans Light";
      color: $quicklink-color-text!important;
      h3 {
        font-family: "Merriweather Sans Bold";
        color: $quicklink-color-text!important;
        margin-bottom: 4px;
      }
      p.quicklink-box-clamp {
          overflow: hidden;
          text-overflow: ellipsis;
          display: -webkit-box;
          -webkit-line-clamp: 6;
          -webkit-box-orient: vertical;
      }
      .quicklink__icon {
        background-color: grey;
        width: 48px;
        height: 48px;
        margin-bottom: 0.5rem;
      }
      -webkit-transition: background-color 0.25s ease-in-out, color 0.25s ease-in-out, opacity 1s ease-in-out;
      transition: background-color 0.25s ease-in-out, color 0.25s ease-in-out, opacity 1s ease-in-out;
      @media only screen and (max-width: 991px) {
        width: 48%;
      }
      @media only screen and (max-width: 640px) {
        width: 100%;
      }
      &:hover {
        background-color: $quicklink-color-hover;
        color: $quicklink-color-text-hover!important;
        text-decoration: none;
        h3 {
          color: $quicklink-color-text-hover!important;
          text-decoration: none;
        }
      }
    }
  }

  .editorial-box-container {
    &.hider {
      opacity: 0;
    }
    background: #fff;
    -webkit-transition: background-color 0.25s ease-in-out, color 0.25s ease-in-out, opacity 1s ease-in-out;
    transition: background-color 0.25s ease-in-out, color 0.25s ease-in-out, opacity 1s ease-in-out;
    box-shadow: 0 0 14px rgba(0, 0, 0, 0.25);
    border-radius: 8px;
    margin-top: 1rem;
    margin-bottom: 1rem;
    &:after {
      content: "";
      width: 33.3%;
      flex: 0 0 33.3%;
    }
    .editorial-box-alignment {
      align-self: flex-start;
      flex-grow: 0;
      width: 33.3%;
      margin: 1rem 0;
      padding: 0;
      > div {
        color: $text;
        padding: 0 1rem;
        img {
          width: 100%;
          border-radius: 8px;
          margin: 3px 0;
        }
        h3 {
          font-size: 18px;
        }
      }
      &:nth-child(2n-1) {
        width: 66.6%;
        img {
          float: right;
          max-width: 50%;
          margin-left: 1rem;
        }
      }
      &:nth-child(2n) {
        > div {
          border-left: 1px solid $line;
        }
      }
      @media only screen and (max-width: 991px) {
        &:nth-child(n) {
          width: 50%;
          img {
            float: none!important;
            max-width: none!important;
            margin-left: 0!important;
          }
        }
      }
      @media only screen and (max-width: 640px) {
        &:nth-child(n) {
          width: 100%;
        }
      }
    }
  }

  .masonry-item,
  .teaser-box-alignment {
    &:nth-child(4n+0) {
      .teaser-box {
        background-color: $box-color-4;
        color: $box-color-4-text;
        > * {
          color: $box-color-4-text!important;
          h3 {
            color: $box-color-4-text!important;
          }
        }
        &[href]:hover {
          background-color: $box-color-4-hover;
          > * {
              color: $box-color-4-text-hover!important;
            h3 {
              color: $box-color-4-text-hover!important;
            }
          }
        }
      }
    }
    &:nth-child(3n+1) {
      .teaser-box {
        background-color: $box-color-1;
        color: $box-color-1-text;
        > * {
          color: $box-color-1-text!important;
          h3 {
            color: $box-color-1-text!important;
          }
        }
        &[href]:hover {
          background-color: $box-color-1-hover;
          > * {
              color: $box-color-1-text-hover!important;
            h3 {
              color: $box-color-1-text-hover!important;
            }
          }
        }
      }
    }
    &:nth-child(3n+2) {
      .teaser-box {
        background-color: $box-color-2;
        color: $box-color-2-text;
        > * {
          color: $box-color-2-text!important;
          h3 {
            color: $box-color-2-text!important;
          }
        }
        &[href]:hover {
          background-color: $box-color-2-hover;
          > * {
              color: $box-color-2-text-hover!important;
            h3 {
              color: $box-color-2-text-hover!important;
            }
          }
        }
      }
    }
    &:nth-child(3n+3) {
      .teaser-box {
        background-color: $box-color-3;
        color: $box-color-3-text;
        > * {
          color: $box-color-3-text!important;
          h3 {
            color: $box-color-3-text!important;
          }
        }
        &[href]:hover {
          background-color: $box-color-3-hover;
          > * {
              color: $box-color-3-text-hover!important;
            h3 {
              color: $box-color-3-text-hover!important;
            }
          }
        }
      }
    }
  }
}
